Patch #37159

Drop Ruby 2.5 support

Added by Go MAEDA 6 months ago. Updated 6 months ago.

Status:ClosedStart date:
Priority:NormalDue date:
Assignee:Marius BALTEANU% Done:

0%

Category:Ruby support
Target version:5.1.0

Description

Recently, more and more of the Gems that Redmine depends on have dropped support for Ruby 2.5. Redmine still supports Ruby 2.5, but this complicates the maintenance of Gemfile.

I think it is time to drop Ruby 2.5 support.

drop-ruby-2_5.patch Magnifier (2.24 KB) Go MAEDA, 2022-05-25 16:36

Associated revisions

Revision 21610
Added by Marius BALTEANU 6 months ago

Drop support for Ruby 2.5 (#37159).

Patch by Go MAEDA.

History

#2 Updated by Marius BALTEANU 6 months ago

  • Target version set to 5.1.0

#3 Updated by Marius BALTEANU 6 months ago

  • Status changed from New to Resolved
  • Assignee set to Marius BALTEANU

Patch committed, thanks!

#4 Updated by Marius BALTEANU 6 months ago

  • Status changed from Resolved to Closed

Also available in: Atom PDF